# SiteMapURL.ChangeFrequency (Crawler-commons 0.8 API)
Date: 2017-06-07

crawlercommons.sitemaps

## Enum SiteMapURL.ChangeFrequency

- java.lang.Object
- - java.lang.Enum<SiteMapURL.ChangeFrequency>
  - - crawlercommons.sitemaps.SiteMapURL.ChangeFrequency

All Implemented Interfaces:
  Serializable, Comparable<SiteMapURL.ChangeFrequency>

Enclosing class:
  SiteMapURL

    public static enum SiteMapURL.ChangeFrequency
    extends Enum<SiteMapURL.ChangeFrequency>

Allowed change frequencies

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALWAYS`
`DAILY`
`HOURLY`
`MONTHLY`
`NEVER`
`WEEKLY`
`YEARLY`

### Method Summary

All Methods Static Methods Concrete Methods
`static SiteMapURL.ChangeFrequency` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SiteMapURL.ChangeFrequency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALWAYS

    public static final SiteMapURL.ChangeFrequency ALWAYS

#### HOURLY

    public static final SiteMapURL.ChangeFrequency HOURLY

#### DAILY

    public static final SiteMapURL.ChangeFrequency DAILY

#### WEEKLY

    public static final SiteMapURL.ChangeFrequency WEEKLY

#### MONTHLY

    public static final SiteMapURL.ChangeFrequency MONTHLY

#### YEARLY

    public static final SiteMapURL.ChangeFrequency YEARLY

#### NEVER

    public static final SiteMapURL.ChangeFrequency NEVER

### Method Detail

#### values

    public static SiteMapURL.ChangeFrequency[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SiteMapURL.ChangeFrequency c : SiteMapURL.ChangeFrequency.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SiteMapURL.ChangeFrequency valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null